#
# spec file for package libretro-mednafen-pce-fast
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libretro-mednafen-pce-fast
Version:        0~20170906.efda29c
Release:        1.6
Summary:        TurboGrafx-16 / TurboGrafx-CD Emulator for Retro-based frontends
License:        GPL-2.0
Group:          Amusements/Games/Other
Url:            https://github.com/libretro/beetle-pce-fast-libretro
Source:         beetle-pce-fast-libretro-%{version}.tar.xz
Source1:        mednafen_pce_fast.libretro
BuildRequires:  gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains a libretro port of the Mednafen PCE Fast emulator.
It can be used by various frontends to load TurboGrafx-16 / TurboGrafx-CD games.

%prep
%setup -q -n beetle-pce-fast-libretro-%{version}

%build
make %{?_smp_mflags} prefix=%{_prefix} core_installdir=%{_libdir}/libretro/

%install
make DESTDIR=%{buildroot} install prefix=%{_prefix} libdir=%{_libdir}
mkdir -p %{buildroot}%{_libdir}/libretro/
install -m644 -p %{SOURCE1} %{buildroot}%{_libdir}/libretro/

%files
%defattr(-,root,root)
%dir %{_libdir}/libretro
%{_libdir}/libretro/mednafen_pce_fast.libretro
%{_libdir}/libretro/mednafen_pce_fast_libretro.so

%changelog
* Wed Sep 13 2017 aplazas@suse.com
- Initial package, version 0~20170906.efda29c (no proper versioning
  done by upstream).
